Line on surface normal [SOLVED]

Hello,

I would like to create a 10mm line that perpendicular to a planar curve and its start point is on the curve start point.

rs.Line requires two 3d points and no idea how to define the second point.

Can someone give me a hint?

(Yupiii ! Today is the anniversary of the day I joined!)

EDIT:

import rhinoscriptsyntax as rs

point = rs.GetPoint("Point to move from")
curve = rs.GetObjects("Select a curve", filter=4 )

normal = rs.CurveNormal(curve) 
pointEnd = rs.VectorUnitize(normal)
tanVectEnd = rs.VectorAdd(pointEnd,point)
angleLine1End = rs.AddLine(point,tanVectEnd)
print(normal)
1 Like